# calc scf threshold for 01snow based on cp

# library(raster)
library(stars)
# library(sf)
library(data.table)
library(ggplot2)
library(magrittr)

# rr_alt <- raster("/mnt/CEPH_PROJECTS/SNOW_3rd_gen/CLOUDREMOVAL/v1.1/00_aux/eurac_modis_altitude_laea.tif")
# rr_alt[rr_alt < -30000] <- NA

# 20bin
rr_cp <- read_stars("/mnt/CEPH_PROJECTS/CLIRSNOW/data_bc/ds/cp/cp_20bins.tif")
cut(0:100/100, breaks = c(0, 0.001, 1:19/20, 0.999, 1), include.lowest = T) %>% 
  levels -> band_lbl
brks <- c(0, 0.001, 1:19/20, 0.999, 1)
scf_middle <- (head(brks, -1) + tail(brks, -1))/2

source("R/functions/cp50_scf.R")




# calc initial ------------------------------------------------------------


rr_scf1 <- st_as_stars(st_apply(rr_cp, "band", cp50_scf, PROGRESS = T))




