# get a data.table with icells and chunks of size x*x pixels

raster_chunks <- function(rr, x){
  nc <- ncol(rr)
  nr <- nrow(rr)
  data.table(icell = 1:ncell(rr),
             chunk = (paste0(
               "x", rep((1:nc - 1) %/% x, nr),
               "y", rep((1:nr - 1) %/% x, each = nc)
             )))
}
