yday_window <- function(yd, k){
  
  seq1 <- seq(yd - k, yd + k, by = 1)
  seq2 <- seq1 %% 365
  seq2[seq2 == 0] <- 365
  
  # add 366 if either 365 or 1 is in
  if(is.element(1, seq2)){
    ii <- match(1, seq2)
    # seq3 <- c(seq2[1:(ii - 1)], 366, seq2[ii:length(seq2)])
    seq3 <- append(seq2, 366, ii - 1)
  } else if(is.element(365, seq2)){
    ii <- match(365, seq2)
    # seq3 <- c(seq2[1:(ii)], 366, seq2[(ii+1):length(seq2)])
    seq3 <- append(seq2, 366, ii)
  } else {
    seq3 <- seq2
  }
  
  seq3
}

# 
# yday_window(1, 15)
# yday_window(5, 15)
# 
# yday_window(15, 15)
# yday_window(16, 15)
# yday_window(17, 15)
# 
# yday_window(50, 15)
# 
# 
# yday_window(349, 15)
# yday_window(350, 15)
# yday_window(351, 15)
# 
# 
# yday_window(360, 15)
# yday_window(365, 15)
# yday_window(366, 15)
