icell_min_dist <- function(i_icell, n = 1){
  
  wasser_dist <- mat_dist[, i_icell]
  
  if(n == 1){
    icell_min_dist <- which.min(wasser_dist[wasser_dist > 0]) %>% names %>% as.numeric
    min_dist <- mat_dist[icell_min_dist, i_icell]
    
    data.table(icell_to_check = i_icell,
               icell_with_min_dist = icell_min_dist,
               min_dist = min_dist)
  } else {
    sort(wasser_dist[wasser_dist > 0])[1:n] %>% 
      names %>% as.numeric -> icell_min_dist
    min_dist <- mat_dist[icell_min_dist, i_icell]
    
    data.table(icell_to_check = i_icell,
               icell_with_min_dist = icell_min_dist,
               min_dist = min_dist,
               ii = 1:n)
  }

}